package cz.moneta.test.dsl.ufo.banka.pages.main.client.settings;

import cz.moneta.test.dsl.ufo.banka.pages.common.pages.OBR001_S001_PrintInstructionPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS011_OBR001_SuspendDispositionPrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.fop.KUL077_S001_ClientsBusinessAndPersonalData;
import cz.moneta.test.dsl.ufo.banka.pages.fop.KUL004_S001_EditBusinessInfoPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.NEP028_S001_SignaturePage;
import cz.moneta.test.dsl.ufo.banka.pages.main.OBR001_FlexiCreditRecommendationPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.components.ADC001_OBR001_002_IbTypeSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.sme.KUL001_S001_SelectProductsPage;
import cz.moneta.test.dsl.ufo.banka.pages.requests.DUP004_S002_AccountSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.term.deposit.RTV003_S001_DepositOfPrincipalTypePage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface ODS003_S001_AddCodeOfRecommendedPersonPageTransitions extends WebFlow<ODS003_S001_AddCodeOfRecommendedPersonPageTransitions> {

    DUP004_S002_AccountSelectionPage onAccountSelectionPage();

    OBR001_FlexiCreditRecommendationPage onFlexiCreditRecommendationPage();

    TIS011_OBR001_SuspendDispositionPrintPage onSuspendDispositionPrintPage();

    NEP028_S001_SignaturePage onSignatureConfirmationPage();

    TIS051_S001_DispositionGeneratePage onDispositionPage();

    ADC001_OBR001_002_IbTypeSelectionPage onIbTypeSelectionPage();

    KUL004_S001_EditBusinessInfoPage onEditBusinessInfoPage();

    KUL077_S001_ClientsBusinessAndPersonalData onBusinessInfoPage();

    OBR001_S001_PrintInstructionPage onPrintInstructionPage();

    KUL001_S001_SelectProductsPage onSelectProductSmeCommercial();

    RTV003_S001_DepositOfPrincipalTypePage onDepositOfPrincipalTypePage();
}